% driver file for optimizing a quadratic

Qmat = [1 0; 0 4];

% first, do a contour plot.
f = @(x,y) purequad([x,y],Qmat);

% for Octave, maybe comment out the "ezcontour" command here:
ezcontour(f)
hold on;

% now run an optimization
x0 = [1;1];
[f,xopt,gradopt,xhist,fhist,ahist] = steepest_descent(@purequad,x0,Qmat)

% roughly how long did it take to converge?
plot(xhist(1,:),xhist(2,:),'.r-')

sum( fhist > 0.1 )
