function [ofv, grd,hes] =  purequad(xvec,Qmat)
% function [ofv, grd,hes] =  purequad(xvec,Qmat)
% a pure quadratic function (no linear or constant terms)
% ofv= objective function value
% grd= gradient

global plot_each

% for debugging:
%disp(Qmat)
%disp('xvec')
%disp(xvec)
if( length(plot_each) > 0 )
  if( plot_each )
  % here we're depending on a global boolean variable "plot_each"
  % should set plot_each=0; (that's False) if you're calling contour!
  xvec(:)'
    plot(xvec(1),xvec(2),'.')
  end
end
  
% here we use (:)' and (:) to force xvec to be a row and a column
% no matter what we are given.

ofv = xvec(:)' * Qmat * xvec(:);

grd = 2*Qmat * xvec(:);
% the optim function never calls for the Hessian, but we'll
% supply it anyway.
hes = 2*Qmat;

